<!--
 * @Author: jixiang
 * @Date: 2021-07-07 15:50:14
 * @Description: 登录文件
 * @FilePath: /vite-project/src/views/login/index.vue
 * One World One Drefeel(56580223@qq.com)
-->
<template>
  我是login文件哦
  <a-input type="password" placeholder="Password" />
  <!-- <FullLoading :show='true'></FullLoading> -->
  <userlogin />
</template>
<script setup lang="ts">
  import userlogin from './userLogin.vue';
  import { getCurrentInstance, onMounted } from 'vue';
  const { ctx } = getCurrentInstance() as any;
  const isDD: boolean = navigator.userAgent.includes('DingTalk');

  onMounted(() => {
    console.log('mounted');
    isDD && authLogin(ctx.$route.query.corpId);
  });
  const authLogin = (corpId: string) => {
    console.log(corpId, ctx);
  };
</script>
<style lang="less" scoped></style>
